For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
  • Endpoints
  • Deprecated
      • GETList Connectors
      • POSTCreate a Connector
      • GETGet a Connector
      • PATCHUpdate a Connector
      • DELDelete a Connector
      • POSTAuthorize with oAuth
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Deprecatedv1/connectors

Delete a Connector

Deprecated
DELETE
https://api.cohere.com/v1/connectors/:id
DELETE
/v1/connectors/:id
1import cohere
2
3co = cohere.Client()
4co.connectors.delete("test-id")
1{}
Delete a connector by ID. See ['Connectors'](https://docs.cohere.com/docs/connectors) for more information.
Was this page helpful?
Previous

Authorize with oAuth

Next
Built with

Delete a connector by ID. See ‘Connectors’ for more information.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the connector to delete.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error